<div id='root'></div>
<script src="https://unpkg.com/react@16/umd/react.development.js"></script>
<script src="https://unpkg.com/react-dom@16/umd/react-dom.development.js"></script>
<script src="https://unpkg.com/babel-standalone@6.26.0/babel.js"></script>
<script src="https://unpkg.com/prop-types@15.6.1/prop-types.js"></script>
<script type="text/babel">
  const root = document.getElementById("root")

  const ninjas = [
    { name: "Naruto", clan: "Uzumaki"},
    { name: "Orochimaru"},
    { name: "Obito", clan: "Uchiha"}
  ]


  class InfoCard extends React.Component {
    static propTypes = {
      name: PropTypes.string.isRequired
    }

    render(){
      const { name, clan } = this.props
      return (
        <p>
          <strong>Nombre: </strong>{name} <br />
          <strong>Clan: </strong>{clan || 'Desconocido'}
        </p>
      )
    }
  }
  

  const element = (
    <div>
      {ninjas.map((ninja, i) => <InfoCard key={`ninja-${i}`} {...ninja} />)}
    </div>
  )

  ReactDOM.render(element, root)
</script>